	SUBROUTINE SNDOPT(LIST)
C***********************************************************
C
C  THIS ROUTINE IS USED TO TRANSMIT THE 10 OPTIONS
C  TO THE GT40, AND ENABLE THEM. THE INTEGER PARAMATER LIST
C  RETURNS THE DISPLAY NUMBER OF THE OPTION LIST
C
C  POSSIBLE ERRORS:
C	NONE
C
C  ROUTINES CALLED:
C	DISABL - DISABLES A DISPLAY FILE
C	MOVFIL - MOVES A DISPLAY FILE
C	INIT   - INITIALIZES A DISPLAY FILE
C	SETMOD - SETS GRAPHIC MODE CHARACTERISTICS
C	SETA   - SETS STATUS-A CHARACTERISTICS
C	POINT  - INSERTS AN ABSOLUTE POINT IN A DISPLAY FILE
C	TEXT   - ADDS TEXT TO A DISPLAY FILE
C	ADFILE - TRANSMITS A DISPLAY FILE TO THE GT40
C	ENABLE - ENABLES A DISPLAY FILE
C
C***********************************************************
	IMPLICIT INTEGER (A - W, Z)
	INTEGER OPTION(10, 3), OPFILE(100), IVEC(3)
	LOGICAL LP, BLINK, ITALA, LPA
	LOGICAL LPOLD, BLNOLD, ITAOLD, LPAOLD
	COMMON /MODBLK/ MODE, INT, LP, BLINK, LINE, OLDSGM
	COMMON /STABLK/ ITALA, LPA, OLDSTA
	REAL USERX, USERY
	COMMON /OPTBLK/ OPTION, OPMSG, OPPTR, OPLIST

	INTOLD = INT
	LPOLD = LP
	BLNOLD = BLINK
	LINOLD = LINE
	ITAOLD = ITALA
	LPAOLD = LPA
	CALL DISABL(OPMSG)
	CALL DISABL(OPPTR)
	CALL MOVFIL(OPPTR, USERX(740), USERY(655))
	CALL INIT(N, OPFILE, 100, USERX(0), USERY(0))
	OLDOPT = OPLIST
	CALL SETMOD(5, .TRUE., .FALSE., 0)
	CALL SETA(.FALSE., .TRUE.)
	IX = 800
	DO 200 I = 1, 10
	  DO 100 J = 1,3
	    IVEC(J) = OPTION(I,J)
100	  CONTINUE
	  IY = 620 - (I-1) * 35
	  CALL POINT(N, OPFILE, USERX(IX), USERY(IY))
	  CALL TEXT(N, OPFILE, IVEC, 15)
200	CONTINUE
	CALL ADFILE(N, OPFILE, 0, OPLIST)
	IF(OLDOPT .NE. 0) CALL DELETE(OLDOPT)
	CALL ENABLE(OPLIST)
	CALL SETMOD(INTOLD, LPOLD, BLNOLD, LINOLD)
	CALL SETA(ITAOLD, LPAOLD)
	LIST = OPLIST
	RETURN
	END
